<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:46:19 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>HwGeneralPackage (org.eclipse.papyrus.marte.static.profile 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HwGeneralPackage (org.eclipse.papyrus.marte.static.profile 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/HwGeneralPackage.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralFactory.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.Literals.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html" target="_top">Frames</a></li>
<li><a href="HwGeneralPackage.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral</div>
<h2 title="Interface HwGeneralPackage" class="title">Interface HwGeneralPackage</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier</dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwGeneralPackageImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.impl">HwGeneralPackageImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">HwGeneralPackage</span>
extends org.eclipse.emf.ecore.EPackage</pre>
<div class="block"><!-- begin-user-doc -->
 The <b>Package</b> for the model.
 It contains accessors for the meta objects to represent
 <ul>
 <li>each class,</li>
 <li>each feature of each class,</li>
 <li>each enum,</li>
 <li>and each data type</li>
 </ul>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralFactory.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral"><code>HwGeneralFactory</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Interface and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.Literals.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral">HwGeneralPackage.Literals</a></span></code>
<div class="block">Defines literals for the meta objects that represent
 
 each class,
 each feature of each class,
 each enum,
 and each data type
 
 <!-- end-user-doc --></div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.EPackage">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.ecore.EPackage</h3>
<code>org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html#DUMMY">DUMMY</a></span></code>
<div class="block">The meta object id for the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/dummy.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral"><code><em>dummy</em></code></a>' enum.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral">HwGeneralPackage</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html#eINSTANCE">eINSTANCE</a></span></code>
<div class="block">The singleton instance of the package.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html#eNAME">eNAME</a></span></code>
<div class="block">The package name.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html#eNS_PREFIX">eNS_PREFIX</a></span></code>
<div class="block">The package namespace name.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html#eNS_URI">eNS_URI</a></span></code>
<div class="block">The package namespace URI.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html#HW_RESOURCE">HW_RESOURCE</a></span></code>
<div class="block">The meta object id for the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.impl"><code><em>Hw Resource</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html#HW_RESOURCE__BASE_CLASSIFIER">HW_RESOURCE__BASE_CLASSIFIER</a></span></code>
<div class="block">The feature id for the '<em><b>Base Classifier</b></em>' reference.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html#HW_RESOURCE__BASE_CONNECTABLE_ELEMENT">HW_RESOURCE__BASE_CONNECTABLE_ELEMENT</a></span></code>
<div class="block">The feature id for the '<em><b>Base Connectable Element</b></em>' reference.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html#HW_RESOURCE__BASE_INSTANCE_SPECIFICATION">HW_RESOURCE__BASE_INSTANCE_SPECIFICATION</a></span></code>
<div class="block">The feature id for the '<em><b>Base Instance Specification</b></em>' reference.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html#HW_RESOURCE__BASE_LIFELINE">HW_RESOURCE__BASE_LIFELINE</a></span></code>
<div class="block">The feature id for the '<em><b>Base Lifeline</b></em>' reference.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html#HW_RESOURCE__BASE_PROPERTY">HW_RESOURCE__BASE_PROPERTY</a></span></code>
<div class="block">The feature id for the '<em><b>Base Property</b></em>' reference.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html#HW_RESOURCE__DESCRIPTION">HW_RESOURCE__DESCRIPTION</a></span></code>
<div class="block">The feature id for the '<em><b>Description</b></em>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html#HW_RESOURCE__END_POINTS">HW_RESOURCE__END_POINTS</a></span></code>
<div class="block">The feature id for the '<em><b>End Points</b></em>' containment reference list.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html#HW_RESOURCE__FREQUENCY">HW_RESOURCE__FREQUENCY</a></span></code>
<div class="block">The feature id for the '<em><b>Frequency</b></em>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html#HW_RESOURCE__IS_ACTIVE">HW_RESOURCE__IS_ACTIVE</a></span></code>
<div class="block">The feature id for the '<em><b>Is Active</b></em>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html#HW_RESOURCE__IS_PROTECTED">HW_RESOURCE__IS_PROTECTED</a></span></code>
<div class="block">The feature id for the '<em><b>Is Protected</b></em>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html#HW_RESOURCE__OWNED_HW">HW_RESOURCE__OWNED_HW</a></span></code>
<div class="block">The feature id for the '<em><b>Owned HW</b></em>' reference list.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html#HW_RESOURCE__PHW_SERVICES">HW_RESOURCE__PHW_SERVICES</a></span></code>
<div class="block">The feature id for the '<em><b>PHW Services</b></em>' containment reference list.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html#HW_RESOURCE__RES_MULT">HW_RESOURCE__RES_MULT</a></span></code>
<div class="block">The feature id for the '<em><b>Res Mult</b></em>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html#HW_RESOURCE__RHW_SERVICES">HW_RESOURCE__RHW_SERVICES</a></span></code>
<div class="block">The feature id for the '<em><b>RHW Services</b></em>' reference list.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html#HW_RESOURCE_FEATURE_COUNT">HW_RESOURCE_FEATURE_COUNT</a></span></code>
<div class="block">The number of structural features of the '<em>Hw Resource</em>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html#HW_RESOURCE_SERVICE">HW_RESOURCE_SERVICE</a></span></code>
<div class="block">The meta object id for the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceServiceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.impl"><code><em>Hw Resource Service</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html#HW_RESOURCE_SERVICE__BASE_BEHAVIOR">HW_RESOURCE_SERVICE__BASE_BEHAVIOR</a></span></code>
<div class="block">The feature id for the '<em><b>Base Behavior</b></em>' reference.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html#HW_RESOURCE_SERVICE__BASE_BEHAVIORAL_FEATURE">HW_RESOURCE_SERVICE__BASE_BEHAVIORAL_FEATURE</a></span></code>
<div class="block">The feature id for the '<em><b>Base Behavioral Feature</b></em>' reference.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html#HW_RESOURCE_SERVICE__BASE_COLLABORATION">HW_RESOURCE_SERVICE__BASE_COLLABORATION</a></span></code>
<div class="block">The feature id for the '<em><b>Base Collaboration</b></em>' reference.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html#HW_RESOURCE_SERVICE__BASE_COLLABORATION_USE">HW_RESOURCE_SERVICE__BASE_COLLABORATION_USE</a></span></code>
<div class="block">The feature id for the '<em><b>Base Collaboration Use</b></em>' reference.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html#HW_RESOURCE_SERVICE__BASE_EXECUTION_SPECIFICATION">HW_RESOURCE_SERVICE__BASE_EXECUTION_SPECIFICATION</a></span></code>
<div class="block">The feature id for the '<em><b>Base Execution Specification</b></em>' reference.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html#HW_RESOURCE_SERVICE__CONSUMPTION">HW_RESOURCE_SERVICE__CONSUMPTION</a></span></code>
<div class="block">The feature id for the '<em><b>Consumption</b></em>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html#HW_RESOURCE_SERVICE__DISSIPATION">HW_RESOURCE_SERVICE__DISSIPATION</a></span></code>
<div class="block">The feature id for the '<em><b>Dissipation</b></em>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html#HW_RESOURCE_SERVICE__OWNER">HW_RESOURCE_SERVICE__OWNER</a></span></code>
<div class="block">The feature id for the '<em><b>Owner</b></em>' reference.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html#HW_RESOURCE_SERVICE_FEATURE_COUNT">HW_RESOURCE_SERVICE_FEATURE_COUNT</a></span></code>
<div class="block">The number of structural features of the '<em>Hw Resource Service</em>' class.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EEnum</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html#getdummy--">getdummy</a></span>()</code>
<div class="block">Returns the meta object for enum '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/dummy.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral"><code><em>dummy</em></code></a>'.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralFactory.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral">HwGeneralFactory</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html#getHwGeneralFactory--">getHwGeneralFactory</a></span>()</code>
<div class="block">Returns the factory that creates the instances of the model.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html#getHwResource_Description--">getHwResource_Description</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html#getDescription--"><code><em>Description</em></code></a>'.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html#getHwResource_EndPoints--">getHwResource_EndPoints</a></span>()</code>
<div class="block">Returns the meta object for the containment reference list '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html#getEndPoints--"><code><em>End Points</em></code></a>'.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html#getHwResource_Frequency--">getHwResource_Frequency</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html#getFrequency--"><code><em>Frequency</em></code></a>'.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html#getHwResource_OwnedHW--">getHwResource_OwnedHW</a></span>()</code>
<div class="block">Returns the meta object for the reference list '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html#getOwnedHW--"><code><em>Owned HW</em></code></a>'.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html#getHwResource_P_HW_Services--">getHwResource_P_HW_Services</a></span>()</code>
<div class="block">Returns the meta object for the containment reference list '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html#getP_HW_Services--"><code><em>PHW Services</em></code></a>'.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html#getHwResource_R_HW_Services--">getHwResource_R_HW_Services</a></span>()</code>
<div class="block">Returns the meta object for the reference list '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html#getR_HW_Services--"><code><em>RHW Services</em></code></a>'.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html#getHwResource--">getHwResource</a></span>()</code>
<div class="block">Returns the meta object for class '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral"><code><em>Hw Resource</em></code></a>'.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html#getHwResourceService_Consumption--">getHwResourceService_Consumption</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResourceService.html#getConsumption--"><code><em>Consumption</em></code></a>'.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html#getHwResourceService_Dissipation--">getHwResourceService_Dissipation</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResourceService.html#getDissipation--"><code><em>Dissipation</em></code></a>'.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html#getHwResourceService--">getHwResourceService</a></span>()</code>
<div class="block">Returns the meta object for class '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResourceService.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral"><code><em>Hw Resource Service</em></code></a>'.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EPackage">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EPackage</h3>
<code>getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.ENamedElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.ENamedElement</h3>
<code>getName, setName</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EModelElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EModelElement</h3>
<code>getEAnnotation, getEAnnotations</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="eNAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eNAME</h4>
<pre>static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> eNAME</pre>
<div class="block">The package name.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.HwGeneralPackage.eNAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="eNS_URI">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eNS_URI</h4>
<pre>static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> eNS_URI</pre>
<div class="block">The package namespace URI.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.HwGeneralPackage.eNS_URI">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="eNS_PREFIX">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eNS_PREFIX</h4>
<pre>static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> eNS_PREFIX</pre>
<div class="block">The package namespace name.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.HwGeneralPackage.eNS_PREFIX">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="eINSTANCE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eINSTANCE</h4>
<pre>static final&nbsp;<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral">HwGeneralPackage</a> eINSTANCE</pre>
<div class="block">The singleton instance of the package.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="HW_RESOURCE_SERVICE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_RESOURCE_SERVICE</h4>
<pre>static final&nbsp;int HW_RESOURCE_SERVICE</pre>
<div class="block">The meta object id for the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceServiceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.impl"><code><em>Hw Resource Service</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceServiceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.impl"><code>HwResourceServiceImpl</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwGeneralPackageImpl.html#getHwResourceService--"><code>HwGeneralPackageImpl.getHwResourceService()</code></a>, 
<a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.HwGeneralPackage.HW_RESOURCE_SERVICE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_RESOURCE_SERVICE__OWNER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_RESOURCE_SERVICE__OWNER</h4>
<pre>static final&nbsp;int HW_RESOURCE_SERVICE__OWNER</pre>
<div class="block">The feature id for the '<em><b>Owner</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.HwGeneralPackage.HW_RESOURCE_SERVICE__OWNER">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_RESOURCE_SERVICE__BASE_EXECUTION_SPECIFICATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_RESOURCE_SERVICE__BASE_EXECUTION_SPECIFICATION</h4>
<pre>static final&nbsp;int HW_RESOURCE_SERVICE__BASE_EXECUTION_SPECIFICATION</pre>
<div class="block">The feature id for the '<em><b>Base Execution Specification</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.HwGeneralPackage.HW_RESOURCE_SERVICE__BASE_EXECUTION_SPECIFICATION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_RESOURCE_SERVICE__BASE_BEHAVIORAL_FEATURE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_RESOURCE_SERVICE__BASE_BEHAVIORAL_FEATURE</h4>
<pre>static final&nbsp;int HW_RESOURCE_SERVICE__BASE_BEHAVIORAL_FEATURE</pre>
<div class="block">The feature id for the '<em><b>Base Behavioral Feature</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.HwGeneralPackage.HW_RESOURCE_SERVICE__BASE_BEHAVIORAL_FEATURE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_RESOURCE_SERVICE__BASE_BEHAVIOR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_RESOURCE_SERVICE__BASE_BEHAVIOR</h4>
<pre>static final&nbsp;int HW_RESOURCE_SERVICE__BASE_BEHAVIOR</pre>
<div class="block">The feature id for the '<em><b>Base Behavior</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.HwGeneralPackage.HW_RESOURCE_SERVICE__BASE_BEHAVIOR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_RESOURCE_SERVICE__BASE_COLLABORATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_RESOURCE_SERVICE__BASE_COLLABORATION</h4>
<pre>static final&nbsp;int HW_RESOURCE_SERVICE__BASE_COLLABORATION</pre>
<div class="block">The feature id for the '<em><b>Base Collaboration</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.HwGeneralPackage.HW_RESOURCE_SERVICE__BASE_COLLABORATION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_RESOURCE_SERVICE__BASE_COLLABORATION_USE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_RESOURCE_SERVICE__BASE_COLLABORATION_USE</h4>
<pre>static final&nbsp;int HW_RESOURCE_SERVICE__BASE_COLLABORATION_USE</pre>
<div class="block">The feature id for the '<em><b>Base Collaboration Use</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.HwGeneralPackage.HW_RESOURCE_SERVICE__BASE_COLLABORATION_USE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_RESOURCE_SERVICE__CONSUMPTION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_RESOURCE_SERVICE__CONSUMPTION</h4>
<pre>static final&nbsp;int HW_RESOURCE_SERVICE__CONSUMPTION</pre>
<div class="block">The feature id for the '<em><b>Consumption</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.HwGeneralPackage.HW_RESOURCE_SERVICE__CONSUMPTION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_RESOURCE_SERVICE__DISSIPATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_RESOURCE_SERVICE__DISSIPATION</h4>
<pre>static final&nbsp;int HW_RESOURCE_SERVICE__DISSIPATION</pre>
<div class="block">The feature id for the '<em><b>Dissipation</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.HwGeneralPackage.HW_RESOURCE_SERVICE__DISSIPATION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_RESOURCE_SERVICE_FEATURE_COUNT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_RESOURCE_SERVICE_FEATURE_COUNT</h4>
<pre>static final&nbsp;int HW_RESOURCE_SERVICE_FEATURE_COUNT</pre>
<div class="block">The number of structural features of the '<em>Hw Resource Service</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.HwGeneralPackage.HW_RESOURCE_SERVICE_FEATURE_COUNT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_RESOURCE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_RESOURCE</h4>
<pre>static final&nbsp;int HW_RESOURCE</pre>
<div class="block">The meta object id for the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.impl"><code><em>Hw Resource</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.impl"><code>HwResourceImpl</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwGeneralPackageImpl.html#getHwResource--"><code>HwGeneralPackageImpl.getHwResource()</code></a>, 
<a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.HwGeneralPackage.HW_RESOURCE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_RESOURCE__RES_MULT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_RESOURCE__RES_MULT</h4>
<pre>static final&nbsp;int HW_RESOURCE__RES_MULT</pre>
<div class="block">The feature id for the '<em><b>Res Mult</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.HwGeneralPackage.HW_RESOURCE__RES_MULT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_RESOURCE__IS_PROTECTED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_RESOURCE__IS_PROTECTED</h4>
<pre>static final&nbsp;int HW_RESOURCE__IS_PROTECTED</pre>
<div class="block">The feature id for the '<em><b>Is Protected</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.HwGeneralPackage.HW_RESOURCE__IS_PROTECTED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_RESOURCE__IS_ACTIVE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_RESOURCE__IS_ACTIVE</h4>
<pre>static final&nbsp;int HW_RESOURCE__IS_ACTIVE</pre>
<div class="block">The feature id for the '<em><b>Is Active</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.HwGeneralPackage.HW_RESOURCE__IS_ACTIVE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_RESOURCE__BASE_PROPERTY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_RESOURCE__BASE_PROPERTY</h4>
<pre>static final&nbsp;int HW_RESOURCE__BASE_PROPERTY</pre>
<div class="block">The feature id for the '<em><b>Base Property</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.HwGeneralPackage.HW_RESOURCE__BASE_PROPERTY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_RESOURCE__BASE_INSTANCE_SPECIFICATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_RESOURCE__BASE_INSTANCE_SPECIFICATION</h4>
<pre>static final&nbsp;int HW_RESOURCE__BASE_INSTANCE_SPECIFICATION</pre>
<div class="block">The feature id for the '<em><b>Base Instance Specification</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.HwGeneralPackage.HW_RESOURCE__BASE_INSTANCE_SPECIFICATION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_RESOURCE__BASE_CLASSIFIER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_RESOURCE__BASE_CLASSIFIER</h4>
<pre>static final&nbsp;int HW_RESOURCE__BASE_CLASSIFIER</pre>
<div class="block">The feature id for the '<em><b>Base Classifier</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.HwGeneralPackage.HW_RESOURCE__BASE_CLASSIFIER">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_RESOURCE__BASE_LIFELINE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_RESOURCE__BASE_LIFELINE</h4>
<pre>static final&nbsp;int HW_RESOURCE__BASE_LIFELINE</pre>
<div class="block">The feature id for the '<em><b>Base Lifeline</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.HwGeneralPackage.HW_RESOURCE__BASE_LIFELINE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_RESOURCE__BASE_CONNECTABLE_ELEMENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_RESOURCE__BASE_CONNECTABLE_ELEMENT</h4>
<pre>static final&nbsp;int HW_RESOURCE__BASE_CONNECTABLE_ELEMENT</pre>
<div class="block">The feature id for the '<em><b>Base Connectable Element</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.HwGeneralPackage.HW_RESOURCE__BASE_CONNECTABLE_ELEMENT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_RESOURCE__DESCRIPTION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_RESOURCE__DESCRIPTION</h4>
<pre>static final&nbsp;int HW_RESOURCE__DESCRIPTION</pre>
<div class="block">The feature id for the '<em><b>Description</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.HwGeneralPackage.HW_RESOURCE__DESCRIPTION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_RESOURCE__FREQUENCY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_RESOURCE__FREQUENCY</h4>
<pre>static final&nbsp;int HW_RESOURCE__FREQUENCY</pre>
<div class="block">The feature id for the '<em><b>Frequency</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.HwGeneralPackage.HW_RESOURCE__FREQUENCY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_RESOURCE__END_POINTS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_RESOURCE__END_POINTS</h4>
<pre>static final&nbsp;int HW_RESOURCE__END_POINTS</pre>
<div class="block">The feature id for the '<em><b>End Points</b></em>' containment reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.HwGeneralPackage.HW_RESOURCE__END_POINTS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_RESOURCE__PHW_SERVICES">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_RESOURCE__PHW_SERVICES</h4>
<pre>static final&nbsp;int HW_RESOURCE__PHW_SERVICES</pre>
<div class="block">The feature id for the '<em><b>PHW Services</b></em>' containment reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.HwGeneralPackage.HW_RESOURCE__PHW_SERVICES">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_RESOURCE__RHW_SERVICES">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_RESOURCE__RHW_SERVICES</h4>
<pre>static final&nbsp;int HW_RESOURCE__RHW_SERVICES</pre>
<div class="block">The feature id for the '<em><b>RHW Services</b></em>' reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.HwGeneralPackage.HW_RESOURCE__RHW_SERVICES">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_RESOURCE__OWNED_HW">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_RESOURCE__OWNED_HW</h4>
<pre>static final&nbsp;int HW_RESOURCE__OWNED_HW</pre>
<div class="block">The feature id for the '<em><b>Owned HW</b></em>' reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.HwGeneralPackage.HW_RESOURCE__OWNED_HW">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_RESOURCE_FEATURE_COUNT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_RESOURCE_FEATURE_COUNT</h4>
<pre>static final&nbsp;int HW_RESOURCE_FEATURE_COUNT</pre>
<div class="block">The number of structural features of the '<em>Hw Resource</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.HwGeneralPackage.HW_RESOURCE_FEATURE_COUNT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="DUMMY">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DUMMY</h4>
<pre>static final&nbsp;int DUMMY</pre>
<div class="block">The meta object id for the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/dummy.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral"><code><em>dummy</em></code></a>' enum.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/dummy.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral"><code>dummy</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/impl/HwGeneralPackageImpl.html#getdummy--"><code>HwGeneralPackageImpl.getdummy()</code></a>, 
<a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral.HwGeneralPackage.DUMMY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getHwResourceService--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHwResourceService</h4>
<pre>org.eclipse.emf.ecore.EClass&nbsp;getHwResourceService()</pre>
<div class="block">Returns the meta object for class '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResourceService.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral"><code><em>Hw Resource Service</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Hw Resource Service</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResourceService.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral"><code>HwResourceService</code></a></dd>
</dl>
</li>
</ul>
<a name="getHwResourceService_Consumption--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHwResourceService_Consumption</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getHwResourceService_Consumption()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResourceService.html#getConsumption--"><code><em>Consumption</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Consumption</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResourceService.html#getConsumption--"><code>HwResourceService.getConsumption()</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html#getHwResourceService--"><code>getHwResourceService()</code></a></dd>
</dl>
</li>
</ul>
<a name="getHwResourceService_Dissipation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHwResourceService_Dissipation</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getHwResourceService_Dissipation()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResourceService.html#getDissipation--"><code><em>Dissipation</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Dissipation</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResourceService.html#getDissipation--"><code>HwResourceService.getDissipation()</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html#getHwResourceService--"><code>getHwResourceService()</code></a></dd>
</dl>
</li>
</ul>
<a name="getHwResource--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHwResource</h4>
<pre>org.eclipse.emf.ecore.EClass&nbsp;getHwResource()</pre>
<div class="block">Returns the meta object for class '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral"><code><em>Hw Resource</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Hw Resource</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral"><code>HwResource</code></a></dd>
</dl>
</li>
</ul>
<a name="getHwResource_Description--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHwResource_Description</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getHwResource_Description()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html#getDescription--"><code><em>Description</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Description</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html#getDescription--"><code>HwResource.getDescription()</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html#getHwResource--"><code>getHwResource()</code></a></dd>
</dl>
</li>
</ul>
<a name="getHwResource_Frequency--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHwResource_Frequency</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getHwResource_Frequency()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html#getFrequency--"><code><em>Frequency</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Frequency</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html#getFrequency--"><code>HwResource.getFrequency()</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html#getHwResource--"><code>getHwResource()</code></a></dd>
</dl>
</li>
</ul>
<a name="getHwResource_EndPoints--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHwResource_EndPoints</h4>
<pre>org.eclipse.emf.ecore.EReference&nbsp;getHwResource_EndPoints()</pre>
<div class="block">Returns the meta object for the containment reference list '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html#getEndPoints--"><code><em>End Points</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the containment reference list '<em>End Points</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html#getEndPoints--"><code>HwResource.getEndPoints()</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html#getHwResource--"><code>getHwResource()</code></a></dd>
</dl>
</li>
</ul>
<a name="getHwResource_P_HW_Services--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHwResource_P_HW_Services</h4>
<pre>org.eclipse.emf.ecore.EReference&nbsp;getHwResource_P_HW_Services()</pre>
<div class="block">Returns the meta object for the containment reference list '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html#getP_HW_Services--"><code><em>PHW Services</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the containment reference list '<em>PHW Services</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html#getP_HW_Services--"><code>HwResource.getP_HW_Services()</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html#getHwResource--"><code>getHwResource()</code></a></dd>
</dl>
</li>
</ul>
<a name="getHwResource_R_HW_Services--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHwResource_R_HW_Services</h4>
<pre>org.eclipse.emf.ecore.EReference&nbsp;getHwResource_R_HW_Services()</pre>
<div class="block">Returns the meta object for the reference list '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html#getR_HW_Services--"><code><em>RHW Services</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference list '<em>RHW Services</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html#getR_HW_Services--"><code>HwResource.getR_HW_Services()</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html#getHwResource--"><code>getHwResource()</code></a></dd>
</dl>
</li>
</ul>
<a name="getHwResource_OwnedHW--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHwResource_OwnedHW</h4>
<pre>org.eclipse.emf.ecore.EReference&nbsp;getHwResource_OwnedHW()</pre>
<div class="block">Returns the meta object for the reference list '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html#getOwnedHW--"><code><em>Owned HW</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference list '<em>Owned HW</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwResource.html#getOwnedHW--"><code>HwResource.getOwnedHW()</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html#getHwResource--"><code>getHwResource()</code></a></dd>
</dl>
</li>
</ul>
<a name="getdummy--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getdummy</h4>
<pre>org.eclipse.emf.ecore.EEnum&nbsp;getdummy()</pre>
<div class="block">Returns the meta object for enum '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/dummy.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral"><code><em>dummy</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for enum '<em>dummy</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/dummy.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral"><code>dummy</code></a></dd>
</dl>
</li>
</ul>
<a name="getHwGeneralFactory--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getHwGeneralFactory</h4>
<pre><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralFactory.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral">HwGeneralFactory</a>&nbsp;getHwGeneralFactory()</pre>
<div class="block">Returns the factory that creates the instances of the model.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the factory that creates the instances of the model.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/HwGeneralPackage.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralFactory.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.Literals.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwGeneral"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwGeneral/HwGeneralPackage.html" target="_top">Frames</a></li>
<li><a href="HwGeneralPackage.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
